// 
// SunAir and SunAir Plus Tracking Solar System
//
// SwitchDoc Labs - 10/30/14
//
//
// SunAir Bottom 1.0

include <write.scad>
include <RoundedRect.scad>

include <SunAirCaseTop.scad>



$fn = 20;


//
// Modules
//

use 	<SunAirTop.scad>

use <pie.scad>

module pylons()
{
	difference()
	{
		#cylinder (h = 14, r1=2.5, r2=2.5, center = false, $fn=100);
		translate([0,0,7.5])
		cylinder (h = 7, r1=1.5, r2=1.5, center = false, $fn=100);
	}

}

module stepperPylons()
{
	difference()
	{
		#cylinder (h = 19, r1=2.5, r2=2.5, center = false, $fn=100);
		translate([0,0,8.5])
		cylinder (h = 19, r1=1.5, r2=1.5, center = false, $fn=100);
	}

}


module bigPylons()
{
	difference()
	{
		#cylinder (h = 7, r1=2.5, r2=2.5, center = false, $fn=100);
		translate([0,0,3.0])
		color("blue")
		cylinder (h = 6, r1=1.5, r2=1.5, center = false, $fn=100);

	}

}

module stepper858()  // Adafruit geared stepper unipolar 858 5V
{

		#translate([0, 0, 0])
		stepperPylons();

		#translate([35.00, 0, 0])
		stepperPylons();

		// mark shaft

//		#translate([17.5,-8,0])
//		stepperPylons();

}


module switchDocWatchDog()
{
		#translate([0, 0, 0])
		pylons();
		
		#translate([57,0,0])
		pylons();

		#translate([57, 57, 0])
		pylons();
		
		#translate([0,57,0])
		pylons();

}

module switchDocSunAir()
{
		#translate([0, 0, 0])
		pylons();
		
		#translate([57.5,0,0])
		pylons();

		#translate([57.5, 57.5, 0])
		pylons();
		
		#translate([0,57.5,0])
		pylons();


}

module arduino()
{

		#translate([0, 0, 0])
		pylons();
		
		#translate([0,48.3,0])
		pylons();

		#translate([50.8, 48.3-15.2, 0])
		pylons();
		
		#translate([50.8,48.3-15.2-27.9,0])
		pylons();




}

// Main Sections

module SunAirBottomStand()
{

		union()
		{
/*			rotate(-100,[0,0,1])
			difference()
			{	
			
				cylinder(70,65,65,[0,0]);

				translate([0,0,2])
				cylinder(72,63,63,[0,0]);

				// put in slits for the top to ride on
				translate([0,0,0])
				pie(100, 100, 80,0);

				translate([0,0,0])
				pie(100, 100, 80, 120);

				translate([0,0,0])
				pie(100, 100, 80, 240);




		
			}

*/
			// box
			
			translate([-105, -72.5, 0])
			difference()
			{
				roundedRect([210,145,35], 10);
				
				translate([2,2,2])
				roundedRect([204,141,40], 10);

				// Wire Slot
				#translate([85,15,27])
				rotate(90,[0,1,0])				
				rotate(90,[1,0,0])
				roundedRect([20,40,20],5);

				// Wire Slot for programming /external power
				#translate([190,30,22])
				rotate(90,[0,1,0])				
				roundedRect([15,20,20],5);


			}
	
		}
 
	translate([-100,-80,0])
	{
		// pylons for pi  A/B

		#translate([27, 115, 0])
		pylons();

		#translate([53.5, 60, 0])
		pylons();

		// pylons for pi  B+

		#translate([12, 100, 0])
		pylons();

		#translate([12, 42, 0])
		pylons();	


		#translate([61, 100, 0])
		pylons();

		#translate([61, 42, 0])
		pylons();
	}

	translate([30,5,0])
	{
		switchDocWatchDog();
		
	}

	translate([30,-60,0])
	{
		switchDocSunAir();
		
	}

	translate([-90,25,0])
	rotate(-90,[0,0,1])
	{
		arduino();
		
	}

	translate([-17.5,8,0])
	rotate(-0,[0,0,1])
	{
		stepper858();

	}

	translate([-60,3,2])
	rotate(180,[0,0,1])
	write("120614-001",h=2,t=2,center=true);
			
	translate([40,-30,2])
	rotate(180,[0,0,1])
	scale([3,3,1])
	write("SunAir / SunAirPlus",h=2,t=2,center=true);
			
	#translate([75,35,2])
	rotate(180,[0,0,1])
	scale([0.125,0.125,1])
	linear_extrude(height = 2)
	import("SWDLogoscad.dxf");


}



SunAirBottomStand();

#translate([0,0,80])
SunAirCaseTop();

#translate([0,0,130])
{

SunAirTop();


translate([-70,5,20])
rotate(45,[1,0,0])
SolarPanelMountRamp();

translate([-1.5,56,30])
rotate(90,[-1,0,0])
rotate(90,[0,1,0])
SolarPanelStand();


}

