// 
// SunAir and SunAir Plus Tracking Solar System
//
// SwitchDoc Labs - 11/2614
//
//
// SunAir Case Top


include <write.scad>
include <RoundedRect.scad>

module rcube(size=[30, 20, 10], radius=[3, 2, 1], center=true)
    hull() {
        translate( center ? [0,0,0] : size/2 ) {
            cube(size-2*radius+[2*radius[0],0,0],center=true);
            cube(size-2*radius+[0,2*radius[1],0],center=true);
            cube(size-2*radius+[0,0,2*radius[2]],center=true);
 
            for(x = [-0.5,0.5], y = [-0.5,0.5], z = [-0.5,0.5])
                translate([x * ( size[0] - 2*radius[0]),
                           y * ( size[1] - 2*radius[1]),
                           z * ( size[2] - 2*radius[2])])
                    scale([radius[0], radius[1], radius[2]])
 //                       sphere(1.0,$fn=4*4);
                       sphere(1.0,$fn=6*6);
        }
    }




$fn = 90;


module SunAirCaseTop()
{


		// box

		union()
		{
			difference()
			{

				rcube(size=[215,150,40],radius=[10,10,10],center=true);

				translate([0,0,-2])
				rcube(size=[213,148,40],radius=[10,10,10],center=true);
				
				translate([-110,-75,-40])
				cube([220,150,40]);
		
				// cut circle
				// shave edge of circle for water deck
				difference()
				{
					cylinder(50,11,11,[0,0]);


					/*
					translate([-50,55,0])
					cube([100,30,70]);

					translate([-50,-55-30,0])
					cube([100,30,70]);
					*/
					
				}


			} // difference
			
			// rain wall
			#translate([0,0,19]) 
			difference()
			{
				
				cylinder(15,64,64,[0,0]);

				#cylinder(52,62,62,[0,0]);

				//translate([-50,55,0])
				//cube([100,30,70]);

				//translate([-50,-55-30,0])
				//cube([100,30,70]);
									
			}
			
			// straight rain wall

	/*			difference()
				{
					translate([-45.5,55,19.5])
					cube([91,30,4]);

					#translate([-45.5,56,0])
					cube([98,30,32]);

				}

				difference()
				{
					translate([-45.5,-55-30,19.5])
					cube([91,30,4]);

					#translate([-45.5,-56-30,0])
					cube([98,30,32]);
				}
								
	*/
		} // union

}


//SunAirCaseTop();

