// 
// SunAir and SunAir Plus Tracking Solar System
//
// SwitchDoc Labs - 11/23/14
//
//
// SunAir Top 1.0
//


include <write.scad>



//include <SunAirBottomV1.scad>

// triangle wedge


module SolarPanelMountRamp()
{
//	translate([-5,3,3])
//	rotate(90,[0,1,0])
//	cylinder(20,3,3,[0,0]);

	translate([-5,0,3])
	rotate(90,[0,1,0])
	cylinder(150,3,3,[0,0]);

	cube([140,200,3]);

}

module SolarPanelStand()
{


	difference()
	{
		union()
		{	
			translate([10,0,0])
			cylinder(3,10,10,[0,0]);
			cube([20,60,3]);
		}
		
		union()
		{
			translate([7.5,0,-2])
			cube([5,45,10]);

		}


	}
}

module SolarRampHook()
{

	#translate([0,11.5,2])
	cube([140,5,5]);

	#translate([0,0,2])
	cube([140,13,3]);


	#translate([0,0,2])
	#cube([140,5,10]);

	// nib
	#translate([0,3.8,10.5])
	cube([140,4,2]);

}

module SunAirTop()
{

	difference()
	{	

		// base 
		union()
		{
			difference()
			{		
				cylinder(20,76,76,[0,0]);
				cylinder(18,70,70,[0,0]);

			}

			#cylinder(20,58,58,[0,0]);

	
			// photo tubes

			// Left

			#translate([40,-15,11])
			rotate(45,[1,0,0])
			rotate(-7,[0,1,0])
			cylinder(70,13,13,[0,0]);

	
			// Right
			#translate([-40,-15,11])
			rotate(45,[1,0,0])
			rotate(7,[0,1,0])
			cylinder(70,13,13,[0,0]);


			// Solar Ramp Hook
			translate([-70,0,17])
			SolarRampHook();

			#translate([0,-10,20])
			rotate(0,[0,0,1])
			write("121414-001",h=2,t=2,center=true);
			
	 		translate([2,-50,20])
			scale([3,3,1])
			write("SunAir / SunAirPlus",h=2,t=2,center=true);
			
		#translate([-37,-65,20])
		scale([0.125,0.125,1])
		linear_extrude(height = 2)
		import("SWDLogoscad.dxf");
		//import("SunAirLogoTransparentX.dxf");

	
		} // main union	

	

	// photo tube holes

	// Left
	#translate([40,-15,11])
	rotate(45,[1,0,0])
	rotate(-7,[0,1,0])
	translate([0,0,-30])
	cylinder(130,11,11,[0,0]);

	// Right
	#translate([-40,-15,11])
	rotate(45,[1,0,0])
	rotate(7,[0,1,0])
	translate([0,0,-30])
	cylinder(130,11,11,[0,0]);

	// Bearing hole
	#cylinder(16,11.5,11.5,[0,0]);

	// Slot for Stand


	translate([-1.5,15,-5])
	#cube([3,22,50]);

	// Solar Wire Hole

	translate([-20,40,-10])
	cylinder(50,7,7,[0,0]);

	// under wire slots

	// solar

	rotate(27,[0,0,1])
	translate([-4.5,10,-5])
	#cube([9,30,15]);

	// photoresistor tubes
	rotate(90,[0,0,1])
	translate([-4.5,10,-5])
	#cube([9,30,10]);

	rotate(-90,[0,0,1])
	translate([-4.5,10,-5])
	#cube([9,30,10]);

	// limit switches

	rotate(225,[0,0,1])
	translate([-4.5,10,-1])
	#cube([12.9,60,6.9]);

	rotate(135,[0,0,1])
	translate([-4.5,10,-1])
	#cube([12.9,60,6.9]);
	


	} // main difference


	// put in the mounting pieces for the photoresistors

	// Left Mount with hole for the wires
	difference()
	{
		translate([40,-15,11])
		rotate(45,[1,0,0])
		rotate(-7,[0,1,0])
		translate([0,0,25])
		cylinder(3,12,12,[0,0]);

		translate([40,-15,10.5])
		rotate(45,[1,0,0])
		rotate(-7,[0,1,0])
		translate([0,0,25])
		cylinder(4,3.5,3.5,[0,0]);
	
	}

	// Right Mount with hole for the wires
	difference()
	{
	
		translate([-40,-15,11])
		rotate(45,[1,0,0])
		rotate(7,[0,1,0])
		translate([0,0,25])
		cylinder(3,12,12,[0,0]);

		translate([-40,-15,10.5])
		rotate(45,[1,0,0])
		rotate(7,[0,1,0])
		translate([0,0,25])
		cylinder(4,3.5,3.5,[0,0]);

	}

	// Bearing Stand
	difference()
	{
		#cylinder(17,7,7,[0,0]);

		#cylinder(6,4.5,3.75,[0,0]);
	}
		
}


//SunAirTop();
/*

translate([-70,5,20])
rotate(45,[1,0,0])
SolarPanelMountRamp();

translate([-1.5,56,30])
rotate(90,[-1,0,0])
rotate(90,[0,1,0])
SolarPanelStand();


translate([0,0,-50])
SunAirBottomStand();

rotate(90,[0,0,1])
SolarPanelMountRamp();
*/
